/*-------------------------------------------------------------------------
 |                                                                         
 |             SAS SUPPLEMENTAL SYNTAX FILE FOR ICPSR 03819
 |         NATIONAL SURVEY OF SUBSTANCE ABUSE TREATMENT SERVICES
 |                            (N-SSATS), 2002
 |
 | This SAS program is provided for optional use with the SAS transport
 | version of this data file as distributed by ICPSR. The metadata
 | provided below are not stored in the SAS transport version of this data
 | collection.  Users need to use SAS PROC CIMPORT to import the SAS
 | transport file to a SAS data set on their system. This program can
 | then be used in conjunction with the SAS system data file.
 |
 | DATA:  begins a SAS data step and names an output SAS data set. Users
 | should replace "SAS-dataset" with their name for the SAS data set copied
 | from the SAS transport file. Users can add a SAS libname statement
 | and an output SAS data set name to make a permanent SAS data set.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | If any variables have more than one missing value, they are assigned
 | to the standard missing value of a single period (.) in the statement
 | below. To maintain the original meaning of missing codes, users may want
 | to take advantage of the SAS missing values (the letters A-Z or an
 | underscore preceded by a period).
 |
 | An example of a standard missing value recode:
 |
 |   IF (RELATION = 98 OR RELATION = 99) THEN RELATION = .;
 |
 | The same example using special missing value recodes:
 |
 |    IF RELATION = 98 THEN RELATION = .A;
 |    IF RELATION = 99 THEN RELATION = .B;
 |
 | NOTE:  Users should modify this file to suit their specific needs.
 | The MISSING VALUE RECODES section has been commented out (i.e., '/*').
 | To make this section active in the program, users should remove the SAS
 | comment indicators from this section.
 |
 |------------------------------------------------------------------------*/

RUN;

* SAS DATA STEP;
DATA;
SET SAS-dataset ;


* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
   IF (TREATMT <= -1) THEN TREATMT = .;
   IF (DETOX <= -1) THEN DETOX = .;
   IF (OWNERSHP <= -1) THEN OWNERSHP = .;
   IF (FEDOWN <= -1) THEN FEDOWN = .;
   IF (LOC15 <= -1) THEN LOC15 = .;
   IF (RELIG <= -1) THEN RELIG = .;
   IF (HOSPITAL <= -1) THEN HOSPITAL = .;
   IF (LOCS <= -1) THEN LOCS = .;
   IF (FOCUS <= -1) THEN FOCUS = .;
   IF (HOTYN <= -1) THEN HOTYN = .;
   IF (SRVC1 <= -1) THEN SRVC1 = .;
   IF (SRVC2 <= -1) THEN SRVC2 = .;
   IF (SRVC4 <= -1) THEN SRVC4 = .;
   IF (SRVC5 <= -1) THEN SRVC5 = .;
   IF (SRVC6 <= -1) THEN SRVC6 = .;
   IF (SRVC8 <= -1) THEN SRVC8 = .;
   IF (SRVC27 <= -1) THEN SRVC27 = .;
   IF (SRVC70 <= -1) THEN SRVC70 = .;
   IF (SRVC71 <= -1) THEN SRVC71 = .;
   IF (SRVC10 <= -1) THEN SRVC10 = .;
   IF (SRVC11 <= -1) THEN SRVC11 = .;
   IF (SRVC13 <= -1) THEN SRVC13 = .;
   IF (SRVC14 <= -1) THEN SRVC14 = .;
   IF (SRVC15 <= -1) THEN SRVC15 = .;
   IF (SRVC16 <= -1) THEN SRVC16 = .;
   IF (SRVC36 <= -1) THEN SRVC36 = .;
   IF (SRVC37 <= -1) THEN SRVC37 = .;
   IF (SRVC38 <= -1) THEN SRVC38 = .;
   IF (SRVC39 <= -1) THEN SRVC39 = .;
   IF (SRVC40 <= -1) THEN SRVC40 = .;
   IF (SRVC49 <= -1) THEN SRVC49 = .;
   IF (SRVC50 <= -1) THEN SRVC50 = .;
   IF (SRVC52 <= -1) THEN SRVC52 = .;
   IF (SRVC24 <= -1) THEN SRVC24 = .;
   IF (SRVC55 <= -1) THEN SRVC55 = .;
   IF (SRVC59 <= -1) THEN SRVC59 = .;
   IF (SRVC48 <= -1) THEN SRVC48 = .;
   IF (OTP <= -1) THEN OTP = .;
   IF (OTPTYPE <= -1) THEN OTPTYPE = .;
   IF (OTPALL <= -1) THEN OTPALL = .;
   IF (DUI_DWI <= -1) THEN DUI_DWI = .;
   IF (ONLYDUI <= -1) THEN ONLYDUI = .;
   IF (SRVC61 <= -1) THEN SRVC61 = .;
   IF (SIGNLANG <= -1) THEN SIGNLANG = .;
   IF (LANG <= -1) THEN LANG = .;
   IF (LANG1 <= -1) THEN LANG1 = .;
   IF (LANG2 <= -1) THEN LANG2 = .;
   IF (LANG3 <= -1) THEN LANG3 = .;
   IF (LANG4 <= -1) THEN LANG4 = .;
   IF (LANG5 <= -1) THEN LANG5 = .;
   IF (LANG6 <= -1) THEN LANG6 = .;
   IF (LANG7 <= -1) THEN LANG7 = .;
   IF (LANG8 <= -1) THEN LANG8 = .;
   IF (LANG9 <= -1) THEN LANG9 = .;
   IF (LANG10 <= -1) THEN LANG10 = .;
   IF (LANG11 <= -1) THEN LANG11 = .;
   IF (LANG12 <= -1) THEN LANG12 = .;
   IF (LANG13 <= -1) THEN LANG13 = .;
   IF (LANG14 <= -1) THEN LANG14 = .;
   IF (LANG15 <= -1) THEN LANG15 = .;
   IF (LANG16 <= -1) THEN LANG16 = .;
   IF (LANG17 <= -1) THEN LANG17 = .;
   IF (LANG18 <= -1) THEN LANG18 = .;
   IF (SRVC30 <= -1) THEN SRVC30 = .;
   IF (SRVC31 <= -1) THEN SRVC31 = .;
   IF (SRVC32 <= -1) THEN SRVC32 = .;
   IF (SRVC62 <= -1) THEN SRVC62 = .;
   IF (SRVC63 <= -1) THEN SRVC63 = .;
   IF (SRVC33 <= -1) THEN SRVC33 = .;
   IF (SRVC34 <= -1) THEN SRVC34 = .;
   IF (SRVC64 <= -1) THEN SRVC64 = .;
   IF (SRVC35 <= -1) THEN SRVC35 = .;
   IF (CTYPE4 <= -1) THEN CTYPE4 = .;
   IF (CTYPEHI1 <= -1) THEN CTYPEHI1 = .;
   IF (CTYPEHI2 <= -1) THEN CTYPEHI2 = .;
   IF (HOSPBED <= -1) THEN HOSPBED = .;
   IF (CTYPE7 <= -1) THEN CTYPE7 = .;
   IF (CTYPERC1 <= -1) THEN CTYPERC1 = .;
   IF (CTYPERC2 <= -1) THEN CTYPERC2 = .;
   IF (RESBED <= -1) THEN RESBED = .;
   IF (CTYPE1 <= -1) THEN CTYPE1 = .;
   IF (CTYPE6 <= -1) THEN CTYPE6 = .;
   IF (CTYPEML <= -1) THEN CTYPEML = .;
   IF (CTYPE3 <= -1) THEN CTYPE3 = .;
   IF (CTYPE2 <= -1) THEN CTYPE2 = .;
   IF (CTYPEOP <= -1) THEN CTYPEOP = .;
   IF (REVCHK1 <= -1) THEN REVCHK1 = .;
   IF (REVCHK8 <= -1) THEN REVCHK8 = .;
   IF (REVCHK5 <= -1) THEN REVCHK5 = .;
   IF (REVCHK10 <= -1) THEN REVCHK10 = .;
   IF (REVCHK15 <= -1) THEN REVCHK15 = .;
   IF (REVCHK2 <= -1) THEN REVCHK2 = .;
   IF (REVCHK2A <= -1) THEN REVCHK2A = .;
   IF (EARMARK <= -1) THEN EARMARK = .;
   IF (FEESCALE <= -1) THEN FEESCALE = .;
   IF (PAYASST <= -1) THEN PAYASST = .;
   IF (WRITARRA <= -1) THEN WRITARRA = .;
   IF (LICENSED <= -1) THEN LICENSED = .;
   IF (LICENMH <= -1) THEN LICENMH = .;
   IF (LICENPH <= -1) THEN LICENPH = .;
   IF (LICENHOS <= -1) THEN LICENHOS = .;
   IF (JCAHO <= -1) THEN JCAHO = .;
   IF (CARF <= -1) THEN CARF = .;
   IF (NCQA <= -1) THEN NCQA = .;
   IF (COA <= -1) THEN COA = .;
   IF (OTHSTATE <= -1) THEN OTHSTATE = .;
   IF (ADMINLNK <= -1) THEN ADMINLNK = .;
   IF (OTHFAC2 <= -1) THEN OTHFAC2 = .;
   IF (OTHFAC1 <= -1) THEN OTHFAC1 = .;
   IF (OTHFAC3 <= -1) THEN OTHFAC3 = .;
   IF (TYPE4 <= -1) THEN TYPE4 = .;
   IF (T_CLI1 <= -1) THEN T_CLI1 = .;
   IF (T_CLI2 <= -1) THEN T_CLI2 = .;
   IF (T_CLIHI <= -1) THEN T_CLIHI = .;
   IF (H_AGE1 <= -1) THEN H_AGE1 = .;
   IF (HIMETNUM <= -1) THEN HIMETNUM = .;
   IF (HILAMNUM <= -1) THEN HILAMNUM = .;
   IF (TYPE7 <= -1) THEN TYPE7 = .;
   IF (T_CLI3 <= -1) THEN T_CLI3 = .;
   IF (T_CLI4 <= -1) THEN T_CLI4 = .;
   IF (T_CLIRC <= -1) THEN T_CLIRC = .;
   IF (R_AGE1 <= -1) THEN R_AGE1 = .;
   IF (RCMETNUM <= -1) THEN RCMETNUM = .;
   IF (RCLAMNUM <= -1) THEN RCLAMNUM = .;
   IF (TYPE1 <= -1) THEN TYPE1 = .;
   IF (T_CLI7 <= -1) THEN T_CLI7 = .;
   IF (T_CLIML <= -1) THEN T_CLIML = .;
   IF (T_CLI5 <= -1) THEN T_CLI5 = .;
   IF (T_CLI6 <= -1) THEN T_CLI6 = .;
   IF (T_CLI8 <= -1) THEN T_CLI8 = .;
   IF (T_CLIOP <= -1) THEN T_CLIOP = .;
   IF (O_AGE1 <= -1) THEN O_AGE1 = .;
   IF (OPMETNUM <= -1) THEN OPMETNUM = .;
   IF (OPLAMNUM <= -1) THEN OPLAMNUM = .;
   IF (B_PCT <= -1) THEN B_PCT = .;
   IF (A_PCT <= -1) THEN A_PCT = .;
   IF (D_PCT <= -1) THEN D_PCT = .;
   IF (TOTADMIS <= -1) THEN TOTADMIS = .;
   IF (FACCLI <= -1) THEN FACCLI = .;
   IF (FACNUM <= -1) THEN FACNUM = .;
   IF (ACTHI <= -1) THEN ACTHI = .;
   IF (ACTRES <= -1) THEN ACTRES = .;
   IF (ACTOP <= -1) THEN ACTOP = .;
   IF (TOTADEST <= -1) THEN TOTADEST = .;
   IF (LOC5 <= -1) THEN LOC5 = .;
   IF (INTERNET <= -1) THEN INTERNET = .;
   IF (HASWEB <= -1) THEN HASWEB = .;
   IF (RPTLVL <= -1) THEN RPTLVL = .;
   IF (T_CLI9 <= -1) THEN T_CLI9 = .;
   IF (T_CLIJUV <= -1) THEN T_CLIJUV = .;
   IF (T_CLIMET <= -1) THEN T_CLIMET = .;
*/

RUN ;
